Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class Messages

    java.lang.Object
      org.directwebremoting.util.Messages

    public class Messages

extends java.lang.Object

Internationalization for DWR

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Method Summary
`static java.lang.String` | `getString(java.lang.String key)` Internationalize a simple string
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object param)` Internationalize a parameterized string
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object[] params)` Internationalize a parameterized string
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object param1, java.lang.Object param2)` Internationalize a parameterized string
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Internationalize a parameterized string
`static java.lang.String` | `getString(java.lang.String key, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3, java.lang.Object param4)` Internationalize a parameterized string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

  Internationalize a simple string

  Parameters:
    `key` - The lookup key
  Returns:
    The internationalized version of the key

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object param)

  Internationalize a parameterized string

  Parameters:
    `key` - The lookup key
    `param` - Lookup parameter number 1
  Returns:
    The internationalized version of the key

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object param1,
                                             java.lang.Object param2)

  Internationalize a parameterized string

  Parameters:
    `key` - The lookup key
    `param1` - Lookup parameter number 1
    `param2` - Lookup parameter number 2
  Returns:
    The internationalized version of the key

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object param1,
                                             java.lang.Object param2,
                                             java.lang.Object param3)

  Internationalize a parameterized string

  Parameters:
    `key` - The lookup key
    `param1` - Lookup parameter number 1
    `param2` - Lookup parameter number 2
    `param3` - Lookup parameter number 3
  Returns:
    The internationalized version of the key

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object param1,
                                             java.lang.Object param2,
                                             java.lang.Object param3,
                                             java.lang.Object param4)

  Internationalize a parameterized string

  Parameters:
    `key` - The lookup key
    `param1` - Lookup parameter number 1
    `param2` - Lookup parameter number 2
    `param3` - Lookup parameter number 3
    `param4` - Lookup parameter number 4
  Returns:
    The internationalized version of the key

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object[] params)

  Internationalize a parameterized string

  Parameters:
    `key` - The lookup key
    `params` -
  Returns:
    The internationalized version of the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD